%define version 0.9.9
Summary: Simple DirectMedia Layer API
Name: SDL
Version: %{version}
Release: 1
Copyright: LGPL
Group: Libraries
Url: http://www.devolution.com/~slouken/SDL/
Packager: Jens Leuschner <leuschner@gmx.net>
Source: http://www.devolution.com/~slouken/SDL/SDL-0.9/src/SDL-%{version}.tar.gz
Patch0: SDL-%{version}-config.patch
Patch1: SDL-%{version}-install.patch
BuildRoot: /var/tmp/rpm/SDL-root

%package devel
Summary: Header files and static libraries for SDL
Requires: SDL = %{version}
Group: Libraries

%description
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.
The current version supports Win32 WinDIB/DirectX, BeOS BWindow, and
Linux X11/DGA.
If you have a newer PC, SDL may be able to take advantage of MMX blit
acceleration using assembly routines from the Hermes blit library. :)

%description devel
The header files and static libraries for SDL.

%prep
%setup -q
%patch0
%patch1 -p0

%build
make config
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib
make install_root=$RPM_BUILD_ROOT install
ln -s libSDLx11.so.0.9 $RPM_BUILD_ROOT/usr/lib/libSDLx11.so
ln -s /usr/lib/libSDLx11.so.0.9 $RPM_BUILD_ROOT/usr/X11R6/lib/libSDLx11.so.0.9

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc README BUGS INSTALL TODO WhatsNew
%attr(-,root,root) /usr/lib/*.so.*
%attr(-,root,root) /usr/X11R6/lib/*.so.*

%files devel
%attr(-,root,root) /usr/include/SDL
%attr(-,root,root) /usr/lib/*.a
%attr(-,root,root) /usr/lib/*.so
